#ifndef DETERMINIZER_H_
#define DETERMINIZER_H_

#include "automaton/Automaton.h"

using namespace std;
using namespace automaton;

namespace determinization {

/**
 * Base class for all classes with determinization algorithms.
 */
class Determinizer
{

    public:
        
        virtual ~Determinizer();

        /**
         * Runs determinization algorithm.
         */
        virtual Automaton* determinize() = 0;

};

}
#endif
