/*
 * LinearGrammar.h
 *
 *  Created on: Jan 1, 2014
 *      Author: Martin Zak
 */

#ifndef LINEARGRAMMAR_H_
#define LINEARGRAMMAR_H_

#include "../Grammar.h"

namespace grammar {

/**
 * Abstract class for linear grammars.
 */
class LinearGrammar: public Grammar {
public:
	LinearGrammar();
	LinearGrammar(const set<Symbol>& nonTerminalSymbols, const set<Symbol>& terminalSymbols,
			const Symbol& startSymbol);
};

} /* namespace grammar */
#endif /* LINEARGRAMMAR_H_ */
