/*
 * RegExpElement.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: martin
 */

#include "RegExpElement.h"

namespace regexp {

RegExpElement::~RegExpElement() {

}

bool RegExpElement::operator>=(const RegExpElement& other) const {
	return !(*this < other);
}

bool RegExpElement::operator<=(const RegExpElement& other) const {
	return !(*this > other);
}

bool RegExpElement::operator!=(const RegExpElement& other) const {
	return !(*this == other);
}


bool RegExpElement::operator<(const Concatenation& other) const {
	return false;
}

bool RegExpElement::operator<(const Alternation& other) const {
	return false;
}

bool RegExpElement::operator<(const Iteration& other) const {
	return false;
}

bool RegExpElement::operator<(const RegExpSymbol& other) const {
	return false;
}

bool RegExpElement::operator<(const RegExpEpsilon& other) const {
	return false;
}

bool RegExpElement::operator<(const RegExpEmpty& other) const {
	return false;
}


bool RegExpElement::operator==(const Concatenation& other) const {
	return false;
}

bool RegExpElement::operator==(const Alternation& other) const {
	return false;
}

bool RegExpElement::operator==(const Iteration& other) const {
	return false;
}

bool RegExpElement::operator==(const RegExpSymbol& other) const {
	return false;
}

bool RegExpElement::operator==(const RegExpEpsilon& other) const {
	return false;
}

bool RegExpElement::operator==(const RegExpEmpty& other) const {
	return false;
}

void RegExpElement::getAlphabet( std::set<alphabet::Symbol> & alphabet ) const {
	// default: do nothing.
}

} /* namespace regexp */
