/*
 * TransitionFSM.cpp
 *
 *  Created on: Mar 26, 2013
 *      Author: martin
 */

#include "TransitionFSM.h"

namespace automaton {

TransitionFSM::TransitionFSM(const State& from,const State& to) : Transition(from, to) {
}

bool TransitionFSM::TransitionFSMPointerLess::operator() (const TransitionFSM* lhs, const TransitionFSM* rhs) const {
	return *lhs < *rhs;
}

bool TransitionFSM::operator>=(const TransitionFSM& other) const {
	return !(*this < other);
}

bool TransitionFSM::operator<=(const TransitionFSM& other) const {
	return !(*this > other);
}

bool TransitionFSM::operator!=(const TransitionFSM& other) const {
	return !(*this == other);
}

bool TransitionFSM::operator<(const TransitionFSMExtended&) const {
	return false;
}

bool TransitionFSM::operator<(const TransitionFSMSymbol&) const {
	return false;
}

bool TransitionFSM::operator<(const TransitionFSMEpsilon&) const {
	return false;
}

bool TransitionFSM::operator==(const TransitionFSMExtended&) const {
	return false;
}

bool TransitionFSM::operator==(const TransitionFSMSymbol&) const {
	return false;
}

bool TransitionFSM::operator==(const TransitionFSMEpsilon&) const {
	return false;
}

} /* namespace automaton */
