/*
 * ParseToken.cpp
 *
 *  Created on: 9.8.2012
 *      Author: Martin Zak
 */

#include "Token.h"

namespace sax {

Token::Token(const std::string& data, const Token::TokenType type) :
		data(data), type(type) {

}

Token::~Token() {

}

const std::string& Token::getData() const {
	return data;
}

Token::TokenType Token::getType() const {
	return type;
}

} /* namespace sax */
