/*
 * AbstractLRGtoREConverter.h
 *
 *  Created on: 16. 3. 2014
 *      Author: tomas
 */

#ifndef ABSTRACTLRGTORECONVERTER_H_
#define ABSTRACTLRGTORECONVERTER_H_

#include <grammar/Regular/LeftRegularGrammar.h>

#include "../AbstractRGtoREConverter.h"

namespace conversions
{

class AbstractLRGtoREConverter: public AbstractRGtoREConverter
{
public:
    virtual ~AbstractLRGtoREConverter( void );

protected:
    /**
     * @param lrg source left reg. grammar.
     */
    AbstractLRGtoREConverter( const grammar::LeftRegularGrammar & lrg );

    /**
     * source left reg. grammar.
     */
    const grammar::LeftRegularGrammar m_grammar;
};

} /* namespace conversions */

#endif /* ABSTRACTLRGTORECONVERTER_H_ */
