/*
 * ParserException.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: martin
 */

#include "ParserException.h"

namespace sax {

ParserException::ParserException(const Token& expected, const Token& read) :
		expected(expected), read(read) {

	cause = "Parser Exception: Expected: " + expected.getData() + " Read: " + read.getData();
}
ParserException::~ParserException() throw () {

}

} /* namespace sax */
