/*
 * State.cpp
 *
 *  Created on: Mar 26, 2013
 *      Author: martin
 */

#include "State.h"

namespace automaton {

State::State(const std::string& name) {
	this->name = name;
}

const std::string& State::getName() const {
	return name;
}

bool State::operator < (const State& other) const {
	return name < other.name;
}

bool State::operator == (const State& other) const {
	return name == other.name;
}
bool State::operator != (const State& other) const{
	return name != other.name;
}

std::ostream& operator<<(std::ostream& out, const State& state) {
	out << "State " << state.name;
	return out;
}

} /* namespace automaton */
